
if (CMAKE_VERSION VERSION_LESS 3.1.0)
    message(FATAL_ERROR "Qt 5 OfficeOpenXml module requires at least CMake version 3.1.0")
endif()

get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
# Use original install prefix when loaded through a
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${_IMPORT_PREFIX}" REALPATH)
get_filename_component(_realOrig "/usr/lib/mxe/usr/i686-w64-mingw32.static/qt5/lib/cmake/Qt5OfficeOpenXml" REALPATH)
if(_realCurr STREQUAL _realOrig)
    get_filename_component(_qt5OfficeOpenXml_install_prefix "/usr/lib/mxe/usr/i686-w64-mingw32.static/qt5/lib/../" ABSOLUTE)
else()
    get_filename_component(_qt5OfficeOpenXml_install_prefix "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)
endif()
unset(_realOrig)
unset(_realCurr)
unset(_IMPORT_PREFIX)

# For backwards compatibility only. Use Qt5OfficeOpenXml_VERSION instead.
set(Qt5OfficeOpenXml_VERSION_STRING 0.0.1)

set(Qt5OfficeOpenXml_LIBRARIES Qt5::OfficeOpenXml)

macro(_qt5_OfficeOpenXml_check_file_exists file)
    if(NOT EXISTS "${file}" )
        message(FATAL_ERROR "The imported target \"Qt5::OfficeOpenXml\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
endmacro()

macro(_populate_OfficeOpenXml_target_properties Configuration LIB_LOCATION IMPLIB_LOCATION)
    set_property(TARGET Qt5::OfficeOpenXml APPEND PROPERTY IMPORTED_CONFIGURATIONS ${Configuration})

    set(imported_location "${_qt5OfficeOpenXml_install_prefix}/lib/${LIB_LOCATION}")
    _qt5_OfficeOpenXml_check_file_exists(${imported_location})
    set_target_properties(Qt5::OfficeOpenXml PROPERTIES
        "INTERFACE_LINK_LIBRARIES" "${_Qt5OfficeOpenXml_LIB_DEPENDENCIES}"
        "IMPORTED_LOCATION_${Configuration}" ${imported_location}
        # For backward compatibility with CMake < 2.8.12
        "IMPORTED_LINK_INTERFACE_LIBRARIES_${Configuration}" "${_Qt5OfficeOpenXml_LIB_DEPENDENCIES}"
    )

    set(imported_implib "${_qt5OfficeOpenXml_install_prefix}/lib/${IMPLIB_LOCATION}")
    _qt5_OfficeOpenXml_check_file_exists(${imported_implib})
    if(NOT "${IMPLIB_LOCATION}" STREQUAL "")
        set_target_properties(Qt5::OfficeOpenXml PROPERTIES
        "IMPORTED_IMPLIB_${Configuration}" ${imported_implib}
        )
    endif()
endmacro()

if (NOT TARGET Qt5::OfficeOpenXml)

    set(_Qt5OfficeOpenXml_OWN_INCLUDE_DIRS "${_qt5OfficeOpenXml_install_prefix}/include/" "${_qt5OfficeOpenXml_install_prefix}/include/QtOfficeOpenXml")
    set(Qt5OfficeOpenXml_PRIVATE_INCLUDE_DIRS
        "${_qt5OfficeOpenXml_install_prefix}/include/QtOfficeOpenXml/0.0.1"
        "${_qt5OfficeOpenXml_install_prefix}/include/QtOfficeOpenXml/0.0.1/QtOfficeOpenXml"
    )

    foreach(_dir ${_Qt5OfficeOpenXml_OWN_INCLUDE_DIRS})
        _qt5_OfficeOpenXml_check_file_exists(${_dir})
    endforeach()

    # Only check existence of private includes if the Private component is
    # specified.
    list(FIND Qt5OfficeOpenXml_FIND_COMPONENTS Private _check_private)
    if (NOT _check_private STREQUAL -1)
        foreach(_dir ${Qt5OfficeOpenXml_PRIVATE_INCLUDE_DIRS})
            _qt5_OfficeOpenXml_check_file_exists(${_dir})
        endforeach()
    endif()

    set(Qt5OfficeOpenXml_INCLUDE_DIRS ${_Qt5OfficeOpenXml_OWN_INCLUDE_DIRS})

    set(Qt5OfficeOpenXml_DEFINITIONS -DQT_OFFICEOPENXML_LIB)
    set(Qt5OfficeOpenXml_COMPILE_DEFINITIONS QT_OFFICEOPENXML_LIB)
    set(_Qt5OfficeOpenXml_MODULE_DEPENDENCIES "Gui;Core")


    set(Qt5OfficeOpenXml_OWN_PRIVATE_INCLUDE_DIRS ${Qt5OfficeOpenXml_PRIVATE_INCLUDE_DIRS})

    set(_Qt5OfficeOpenXml_FIND_DEPENDENCIES_REQUIRED)
    if (Qt5OfficeOpenXml_FIND_REQUIRED)
        set(_Qt5OfficeOpenXml_FIND_DEPENDENCIES_REQUIRED REQUIRED)
    endif()
    set(_Qt5OfficeOpenXml_FIND_DEPENDENCIES_QUIET)
    if (Qt5OfficeOpenXml_FIND_QUIETLY)
        set(_Qt5OfficeOpenXml_DEPENDENCIES_FIND_QUIET QUIET)
    endif()
    set(_Qt5OfficeOpenXml_FIND_VERSION_EXACT)
    if (Qt5OfficeOpenXml_FIND_VERSION_EXACT)
        set(_Qt5OfficeOpenXml_FIND_VERSION_EXACT EXACT)
    endif()

    set(Qt5OfficeOpenXml_EXECUTABLE_COMPILE_FLAGS "")

    foreach(_module_dep ${_Qt5OfficeOpenXml_MODULE_DEPENDENCIES})
        if (NOT Qt5${_module_dep}_FOUND)
            find_package(Qt5${_module_dep}
                0.0.1 ${_Qt5OfficeOpenXml_FIND_VERSION_EXACT}
                ${_Qt5OfficeOpenXml_DEPENDENCIES_FIND_QUIET}
                ${_Qt5OfficeOpenXml_FIND_DEPENDENCIES_REQUIRED}
                PATHS "${CMAKE_CURRENT_LIST_DIR}/.." NO_DEFAULT_PATH
            )
        endif()

        if (NOT Qt5${_module_dep}_FOUND)
            set(Qt5OfficeOpenXml_FOUND False)
            return()
        endif()

        list(APPEND Qt5OfficeOpenXml_INCLUDE_DIRS "${Qt5${_module_dep}_INCLUDE_DIRS}")
        list(APPEND Qt5OfficeOpenXml_PRIVATE_INCLUDE_DIRS "${Qt5${_module_dep}_PRIVATE_INCLUDE_DIRS}")
        list(APPEND Qt5OfficeOpenXml_DEFINITIONS ${Qt5${_module_dep}_DEFINITIONS})
        list(APPEND Qt5OfficeOpenXml_COMPILE_DEFINITIONS ${Qt5${_module_dep}_COMPILE_DEFINITIONS})
        list(APPEND Qt5OfficeOpenXml_EXECUTABLE_COMPILE_FLAGS ${Qt5${_module_dep}_EXECUTABLE_COMPILE_FLAGS})
    endforeach()
    list(REMOVE_DUPLICATES Qt5OfficeOpenXml_INCLUDE_DIRS)
    list(REMOVE_DUPLICATES Qt5OfficeOpenXml_PRIVATE_INCLUDE_DIRS)
    list(REMOVE_DUPLICATES Qt5OfficeOpenXml_DEFINITIONS)
    list(REMOVE_DUPLICATES Qt5OfficeOpenXml_COMPILE_DEFINITIONS)
    list(REMOVE_DUPLICATES Qt5OfficeOpenXml_EXECUTABLE_COMPILE_FLAGS)

    set(_Qt5OfficeOpenXml_LIB_DEPENDENCIES "Qt5::Gui;Qt5::Core")


    add_library(Qt5::OfficeOpenXml STATIC IMPORTED)
    set_property(TARGET Qt5::OfficeOpenXml PROPERTY IMPORTED_LINK_INTERFACE_LANGUAGES CXX)

    set_property(TARGET Qt5::OfficeOpenXml PROPERTY
      INTERFACE_INCLUDE_DIRECTORIES ${_Qt5OfficeOpenXml_OWN_INCLUDE_DIRS})
    set_property(TARGET Qt5::OfficeOpenXml PROPERTY
      INTERFACE_COMPILE_DEFINITIONS QT_OFFICEOPENXML_LIB)

    set_property(TARGET Qt5::OfficeOpenXml PROPERTY INTERFACE_QT_ENABLED_FEATURES )
    set_property(TARGET Qt5::OfficeOpenXml PROPERTY INTERFACE_QT_DISABLED_FEATURES )

    set(_Qt5OfficeOpenXml_PRIVATE_DIRS_EXIST TRUE)
    foreach (_Qt5OfficeOpenXml_PRIVATE_DIR ${Qt5OfficeOpenXml_OWN_PRIVATE_INCLUDE_DIRS})
        if (NOT EXISTS ${_Qt5OfficeOpenXml_PRIVATE_DIR})
            set(_Qt5OfficeOpenXml_PRIVATE_DIRS_EXIST FALSE)
        endif()
    endforeach()

    if (_Qt5OfficeOpenXml_PRIVATE_DIRS_EXIST)
        add_library(Qt5::OfficeOpenXmlPrivate INTERFACE IMPORTED)
        set_property(TARGET Qt5::OfficeOpenXmlPrivate PROPERTY
            INTERFACE_INCLUDE_DIRECTORIES ${Qt5OfficeOpenXml_OWN_PRIVATE_INCLUDE_DIRS}
        )
        set(_Qt5OfficeOpenXml_PRIVATEDEPS)
        foreach(dep ${_Qt5OfficeOpenXml_LIB_DEPENDENCIES})
            if (TARGET ${dep}Private)
                list(APPEND _Qt5OfficeOpenXml_PRIVATEDEPS ${dep}Private)
            endif()
        endforeach()
        set_property(TARGET Qt5::OfficeOpenXmlPrivate PROPERTY
            INTERFACE_LINK_LIBRARIES Qt5::OfficeOpenXml ${_Qt5OfficeOpenXml_PRIVATEDEPS}
        )
    endif()

    _populate_OfficeOpenXml_target_properties(RELEASE "libQt5OfficeOpenXml.a" "" )

    if (EXISTS "${_qt5OfficeOpenXml_install_prefix}/lib/libQt5OfficeOpenXmld.a" )
        _populate_OfficeOpenXml_target_properties(DEBUG "libQt5OfficeOpenXmld.a" "" )
    endif()



    file(GLOB pluginTargets "${CMAKE_CURRENT_LIST_DIR}/Qt5OfficeOpenXml_*Plugin.cmake")

    macro(_populate_OfficeOpenXml_plugin_properties Plugin Configuration PLUGIN_LOCATION)
        set_property(TARGET Qt5::${Plugin} APPEND PROPERTY IMPORTED_CONFIGURATIONS ${Configuration})

        set(imported_location "${_qt5OfficeOpenXml_install_prefix}/plugins/${PLUGIN_LOCATION}")
        _qt5_OfficeOpenXml_check_file_exists(${imported_location})
        set_target_properties(Qt5::${Plugin} PROPERTIES
            "IMPORTED_LOCATION_${Configuration}" ${imported_location}
        )
    endmacro()

    if (pluginTargets)
        foreach(pluginTarget ${pluginTargets})
            include(${pluginTarget})
        endforeach()
    endif()




_qt5_OfficeOpenXml_check_file_exists("${CMAKE_CURRENT_LIST_DIR}/Qt5OfficeOpenXmlConfigVersion.cmake")

endif()
